Eclipse Platform Release 3.7

## org.eclipse.update.configuration
Interface ILocalSiteChangedListener

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface ILocalSiteChangedListener

Local site change listener.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` `currentInstallConfigurationChanged(IInstallConfiguration configuration)` Deprecated. Indicates the current configuration has changed.
`void` `installConfigurationRemoved(IInstallConfiguration configuration)` Deprecated. Indicates the specified configuration was removed.

Method Detail

### currentInstallConfigurationChanged

    void currentInstallConfigurationChanged(IInstallConfiguration configuration)

  Deprecated.
  Indicates the current configuration has changed.

  Parameters:
    `configuration` - the current cunfiguration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### installConfigurationRemoved

    void installConfigurationRemoved(IInstallConfiguration configuration)

  Deprecated.
  Indicates the specified configuration was removed.

  Parameters:
    `configuration` - the configuration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.